### Hierarchy

- OwnPropsOfControl
  - OwnPropsOfAutoComplete

## Index

### Properties

- enabled
- id
- options
- path
- renderers
- schema
- uischema
- visible

## Properties

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:55

Whether the rendered element should be enabled.

### Optional id

id: string

Inherited from OwnPropsOfControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:69

### options

options: string[]

- Defined in controls/autocomplete.renderer.ts:150

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:65

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.renderers

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:66

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:51

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnPropsOfControl.uischema

Overrides OwnPropsOfRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:70

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/node_modules/@jsonforms/core/lib/util/renderer.d.ts:59

Whether the rendered element should be visible.

Generated using TypeDoc